#
# spec file for package python-pivy
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-pivy
Version:        0.5.0hg.609
Release:        5.1
Summary:        Coin Binding for Python
License:        ISC and GPL-2.0+
Group:          Development/Libraries/Python
Url:            http://pivy.coin3d.org/
Source0:        Pivy-%{version}.tar.bz2
BuildRequires:  gcc
BuildRequires:  Coin-devel
BuildRequires:  SoQt-devel
%if 0%{?suse_version} > 1210
BuildRequires:  libXmu-devel
%else
BuildRequires:  xorg-x11-devel
%endif
BuildRequires:  python-devel
BuildRequires:  swig
%{py_requires}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Pivy is a Coin binding for Python. Coin is a high-level 3D graphics library
with a C++ Application Programming Interface. Coin uses scene-graph data
structures to render real-time graphics suitable for mostly all kinds of
scientific and engineering visualization applications.

Pivy allows:

- Development of Coin applications and extensions in Python
- Interactive modification of Coin programs from within the Python interpreter
  at runtime
- Incorporation of Scripting Nodes into the scene graph which are capable of
  executing Python code and callbacks

%prep
%setup -q -n default-8eab90908f2a

# Fix rpmlint warning "non-executable-script"
sed -i "/#\!\/usr\/bin\/env python/d" pivy/sogui.py

%build
export CFLAGS="%{optflags}"
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot} --record-rpm=INSTALLED_FILES

%files -f INSTALLED_FILES
%defattr(-,root,root,-)
%doc AUTHORS LICENSE NEWS README THANKS

%changelog
* Sat May  5 2012 asterios.dramis@gmail.com
- Initial release (version 0.5.0hg.609).
